package com.message

/**
 * 普通的事件总线
 * you can use it like {NormalMessageEvent() 、 NormalMessageEvent("name") or NormalMessageEvent("name", Any)}
 */
class NormalMessageEvent() : MessageEvent() {
    lateinit var name: String
    var data: Any? = null

    constructor(name: String = "", data: Any? = null) : this() {
        this.name = name
        this.data = data
    }
}