// ISyncAdapterUnsyncableAccountCallback.aidl
package android.content;
/**
 * Callback for {@link ISyncAdapter#onUnsyncableAccount}
 * @hide
 */

interface ISyncAdapterUnsyncableAccountCallback {
    /**
     * Deliver the result for {@link ISyncAdapter#onUnsyncableAccount}
     *
     * @param isReady Iff {@code false} account is not synced.
     */
    void onUnsyncableAccountDone(boolean isReady);
}